com.fasterxml.jackson.databind.ext

## Class DOMDeserializer<T>

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
    - - com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<T>
      - - com.fasterxml.jackson.databind.deser.std.FromStringDeserializer<T>
        - - com.fasterxml.jackson.databind.ext.DOMDeserializer<T>

All Implemented Interfaces:
  NullValueProvider, Serializable

Direct Known Subclasses:
  DOMDeserializer.DocumentDeserializer, DOMDeserializer.NodeDeserializer

    public abstract class DOMDeserializer<T>
    extends FromStringDeserializer<T>

Base for serializers that allows parsing DOM Documents from JSON Strings. Nominal type can be either `Node` or `Document`.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `DOMDeserializer.DocumentDeserializer`
`static class` `DOMDeserializer.NodeDeserializer`

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.deser.std.FromStringDeserializer

`FromStringDeserializer.Std`

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`JsonDeserializer.None`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_valueClass, F_MASK_ACCEPT_ARRAYS, F_MASK_INT_COERCIONS`

### Constructor Summary

Constructors
`protected` `DOMDeserializer(Class<T> cls)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract T` `_deserialize(String value, DeserializationContext ctxt)`
`protected DocumentBuilder` `documentBuilder()` Overridable factory method used to create `DocumentBuilder` for parsing XML as DOM.
`protected Document` `parse(String value)`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.FromStringDeserializer

`_deserializeEmbedded, _deserializeFromEmptyString, deserialize, findDeserializer, types`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer

`deserialize, deserializeWithType, getEmptyAccessPattern, getNullAccessPattern, supportsUpdate`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_byteOverflow, _coercedTypeDesc, _coerceEmptyString, _coerceIntegral, _coerceNullToken, _coerceTextualNull, _deserializeFromArray, _deserializeFromEmpty, _deserializeWrappedValue, _failDoubleToIntCoercion, _findNullProvider, _hasTextualNull, _intOverflow, _isEmptyOrTextualNull, _isIntNumber, _isNaN, _isNegInf, _isPosInf, _neitherNull, _nonNullNumber, _parseBooleanFromInt, _parseBooleanPrimitive, _parseBytePrimitive, _parseDate, _parseDate, _parseDateFromArray, _parseDoublePrimitive, _parseDoublePrimitive, _parseFloatPrimitive, _parseFloatPrimitive, _parseIntPrimitive, _parseIntPrimitive, _parseLongPrimitive, _parseLongPrimitive, _parseShortPrimitive, _parseString, _reportFailedNullCoerce, _shortOverflow, _verifyEndArrayForSingle, _verifyNullForPrimitive, _verifyNullForPrimitiveCoercion, _verifyNullForScalarCoercion, _verifyNumberForScalarCoercion, _verifyStringForScalarCoercion, findContentNullProvider, findContentNullStyle, findConvertingContentDeserializer, findDeserializer, findFormatFeature, findFormatOverrides, findValueNullProvider, getValueClass, getValueType, handledType, handleMissingEndArrayForSingle, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`deserializeWithType, findBackReference, getDelegatee, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullValue, getNullValue, getObjectIdReader, isCachable, replaceDelegatee, unwrappingDeserializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DOMDeserializer

    protected DOMDeserializer(Class<T> cls)

### Method Detail

#### _deserialize

    public abstract T _deserialize(String value,
                                   DeserializationContext ctxt)

Specified by:
  `_deserialize` in class `FromStringDeserializer<T>`

#### parse

    protected final Document parse(String value)
                            throws IllegalArgumentException

Throws:
  `IllegalArgumentException`

#### documentBuilder

    protected DocumentBuilder documentBuilder()
                                       throws ParserConfigurationException

Overridable factory method used to create `DocumentBuilder` for parsing XML as DOM.

Throws:
  `ParserConfigurationException`
Since:
  2.7.6